Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRField

All Superinterfaces:
  java.lang.Cloneable, JRCloneable, JRPropertiesHolder

All Known Implementing Classes:
  JRBaseField, JRDesignField, JRFillField

    public interface JRField

extends JRPropertiesHolder, JRCloneable

An abstract representation of a data source field. Each row in a dataset consists of one or more fields with unique names. These names can be used in report expressions.

Version:
  $Id: JRField.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.lang.String` | `getDescription()` Gets the field optional description.
`java.lang.String` | `getName()` Gets the field unique name.
`java.lang.Class` | `getValueClass()` Gets the field value class.
`java.lang.String` | `getValueClassName()` Gets the field value class name.
`void` | `setDescription(java.lang.String description)` Sets the field description.

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getName

    java.lang.String getName()

  Gets the field unique name.

### getDescription

    java.lang.String getDescription()

  Gets the field optional description.

### setDescription

    void setDescription(java.lang.String description)

  Sets the field description.

### getValueClass

    java.lang.Class getValueClass()

  Gets the field value class. Field types cannot be primitives.

### getValueClassName

    java.lang.String getValueClassName()

  Gets the field value class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com